Skip to main content
PATCH
Update event webhook settings

Authorizations

Authorization
string
header
required

An opaque Omnara personal or organization bearer token.

Path Parameters

orgID
string
required
Pattern: ^org_[a-z2-7]{26}$
projectID
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$
webhookID
string
required
Pattern: ^whk_[a-z2-7]{26}$

Body

application/json
url
string

Public HTTPS endpoint, at most 2048 bytes after URL encoding.

Required string length: 1 - 2048
event_types
enum<string>[]
Minimum array length: 1
Available options:
agent_input,
model_output,
tool_result,
context_checkpoint,
tool_call_update
signing_secret_id
string | null

Project-available generic secret. Omit to preserve signing, or set to null to remove it.

Pattern: ^sec_[a-z2-7]{26}$

Response

Webhook updated.

url
string
required

Public HTTPS endpoint, at most 2048 bytes after URL encoding.

Required string length: 1 - 2048
event_types
enum<string>[]
required
Minimum array length: 1
Available options:
agent_input,
model_output,
tool_result,
context_checkpoint,
tool_call_update
scope
object
required
id
string
required
Pattern: ^whk_[a-z2-7]{26}$
org_id
string
required
Pattern: ^org_[a-z2-7]{26}$
project_id
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$
created_at
string<date-time>
required
updated_at
string<date-time>
required
signing_secret_id
string

Optional project-available generic secret.

Pattern: ^sec_[a-z2-7]{26}$